/*
 * Options.java
 */

package com.example.tool;

/**
 * Option value folder.
 */
class Options {
    
    /**
     * Holds value of property dir.
     */
    private String dir = ".";

    /**
     * Getter for property dir.
     * @return Value of property dir.
     */
    public String getDir() {

        return this.dir;
    }

    /**
     * Setter for property dir.
     * @param dir New value of property dir.
     */
    public void setDir(String dir) {

        this.dir = dir;
    }

    /**
     * Holds value of property context.
     */
    private String context = "application-context.xml";

    /**
     * Getter for property context.
     * @return Value of property context.
     */
    public String getContext() {

        return this.context;
    }

    /**
     * Setter for property context.
     * @param context New value of property context.
     */
    public void setContext(String context) {

        this.context = context;
    }
}
